#!/bin/bash
#
source /etc/profile
#从服务中心下线
curl -X POST 'http://localhost:8031/actuator/service-registry?status=DOWN' -H 'cache-control: no-cache' -H 'content-type: application/json' -d '{}'
sleep 30
#从nacos里踢除服务
curl -X POST 'http://localhost:8031/actuator/shutdown' -H 'cache-control: no-cache'
sleep 5

#从nacos里踢除服务
#curl -X POST 'http://localhost:8031/actuator/shutdown'
#sleep 5
# 获取PID
ps -ef | grep [s]oa-pay-v0.0.1.jar | grep -v "soa-pay.sh" |grep -v grep | awk '{print $2}'| xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f soa-pay-v0.0.1.jar ];then
	mv soa-pay-v0.0.1.jar ./backups/soa-pay-v0.0.1.jar-$(date +%F_%H_%M)
fi

# jar包重命名
mv /data/TSP/soa-pay-v0.0.1.jar.1 /data/TSP/soa-pay-v0.0.1.jar
sleep 5

# 运行jar包
nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-pay.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-pay-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27028:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-pay-v0.0.1.jar > /data/logs/soa-pay.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [s]oa-pay-v0.0.1.jar | grep -v "soa-pay.sh" |grep -v grep | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-pay.txt
	nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-pay.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-pay-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27028:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-pay-v0.0.1.jar > /data/logs/soa-pay.log 2>&1 &	
else 
	echo '正常'>/tmp/2-pay.txt
fi

exit 0
